using System;
using System.Data;
using System.Drawing;
using System.Windows.Forms;

namespace AboutBox 
{

	public class AboutBox:IDisposable 
	{
		private System.Windows.Forms.Form frmAbout; 

		//Constructor
		public AboutBox(int Left, int Top, int Width, int Height, string lblText)
		{
			frmAbout = new System.Windows.Forms.Form();
			
			//Sizebale form, not covering all the screen
			frmAbout.FormBorderStyle = System.Windows.Forms.FormBorderStyle.None;
			
			frmAbout.Left = Left;
			frmAbout.Top = Top;
			frmAbout.Width = Width;
			frmAbout.Height = Height;
			
			//Add a label to your AboutBox
			System.Windows.Forms.Label  lbl1 = new System.Windows.Forms.Label();
			lbl1.Text = lblText;
			lbl1.Left = 50;
			lbl1.Top = 60;
			frmAbout.Controls.Add(lbl1);
			
			//Add OK Button
			System.Windows.Forms.Button btnOK = new System.Windows.Forms.Button();
			btnOK.Left = 10;
			btnOK.Top= 10;
			btnOK.Text = "OK";
			frmAbout.Controls.Add(btnOK);
			btnOK.Click += new System.EventHandler(this.btnOK_Click);	
			
			//Add more Controls bellow
		
		}
		
		private void btnOK_Click(System.Object sender, System.EventArgs e) 
		{
			//Hide the form
			//Of course you can rise an event (visible to b4ppc program) and not hide the form here.
			//See ScrollBar sample
			frmAbout.Hide();
		}
		
		//Show and continue execution. Does not wait for the AboutBox to return
		public void Show()
		{
			frmAbout.Show();
		}
		
		//Show and wait to finish like msgbox
		public void ShowDialog()
		{
			frmAbout.ShowDialog();
		}
			
		
		public double DLLVersion
		{
			get {return 1;}
		}

		public void Dispose()
		{
			try
			{
				frmAbout.Dispose ();
			}
			finally{}
		}

	}
}
